summaryrefslogtreecommitdiff
path: root/tests/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2016-07-04 00:02:33 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2016-09-15 19:41:35 +0100
commit2df7a3b364dd5cade1244c4ed48750c4ad50f172 (patch)
tree9c8bafac24b9c5a7a5c48570b088645155ed562e /tests/tests
parentfe2c39524a6c74aed1f21f0e3eaafc332c46843c (diff)
Test suite: quilt-gbp-build-modes: New test, which does not pass yet
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests/tests')
-rwxr-xr-xtests/tests/quilt-gbp-build-modes36
1 files changed, 36 insertions, 0 deletions
diff --git a/tests/tests/quilt-gbp-build-modes b/tests/tests/quilt-gbp-build-modes
new file mode 100755
index 0000000..4e256fe
--- /dev/null
+++ b/tests/tests/quilt-gbp-build-modes
@@ -0,0 +1,36 @@
+#!/bin/bash
+set -e
+. tests/lib
+. $troot/lib-build-modes
+
+t-dependencies sbuild
+t-restrict x-dgit-unfinished
+t-restrict x-dgit-schroot-build
+
+t-gbp-example-prep
+
+git checkout -b for-build-modes patch-queue/quilt-tip-2
+# build-modes cannot cope with branches containing /
+
+bm-prep-ownpackage-branches for-build-modes
+
+cleanmodes=git
+
+for act in \
+ 'build-source' \
+ 'build -b' \
+ 'build -S' \
+ 'gbp-build -S' \
+ 'gbp-build -b' \
+ 'sbuild -c build --no-arch-all' \
+; do
+ bm-guess-e-source-e-targets "$act"
+ real_act="--quilt=gbp $act"
+ case "$act" in
+ sbuild*) bm_quirk_after_act=bm-quirk-sbuild-after-act ;;
+ *) bm_quirk_after_act='' ;;
+ esac
+ bm-act-iterate
+done
+
+echo ok.